# -*- coding: utf-8 -*-
import ConfigParser
import os.path


class Settings:
    def __init__(self):
        self.config = ConfigParser.ConfigParser()
        self.conffile = "/etc/xdg/webkiosk/preferences"
        if os.path.isfile("/tmp/linutop-kiosk-test/preferences"):
            self.conffile = "/tmp/linutop-kiosk-test/preferences"
    def _read_prefs(self):
        self.config.read(self.conffile)

    def _write_prefs(self):
        with open(self.conffile, 'w') as fd:
            self.config.write(fd)

    def getServer(self):
        self._read_prefs()

        if self.config.get("slideshow", "use_local") == 'true':
            self.url = self.config.get("slideshow", "url")
        else:
            self.url = "http://linutop.tv"

        return (self.url,
                self.config.get("slideshow", "invoice"),
                self.config.get("slideshow", "email"))

    def setChannel(self, url):
        self.config.set("slideshow", "pages", url)
        self.config.set("slideshow", "use_remote", 'true')
        self._write_prefs()

    def getRemote(self):
        self._read_prefs()
        return self.config.get("slideshow", "use_remote") == 'true'

    def setLocal(self):
        self.config.set("slideshow", "use_remote", 'false')
        self._write_prefs()

    def getDirect(self):
        self._read_prefs()
        return self.config.get("remote", "direct") == 'true' 
